libzypp: zypp::_logtoolsdetail Namespace Reference

libzypp 17.38.6

zypp::_logtoolsdetail Namespace Reference

## Classes
class | MapEntry
| std::pair wrapper for std::map output. More...
class | DumpMap
| std::map wrapper for stream output. More...
class | DumpKeys
| std::map wrapper for stream output of keys. More...
class | DumpValues
| std::map wrapper for stream output of values. More...

## Functions
template<class TPair>
std::ostream & | operator<< (std::ostream &str, const MapEntry< TPair > &obj)
| relates: MapEntry Stream output.
template<class TPair>
MapEntry< TPair > | mapEntry (const TPair &pair_r)
| relates: MapEntry Convenience function to create MapEntry from std::pair.
template<class TMap>
std::ostream & | operator<< (std::ostream &str, const DumpMap< TMap > &obj)
| relates: DumpMap Stream output.
template<class TMap>
DumpMap< TMap > | dumpMap (const TMap &map_r)
| relates: DumpMap Convenience function to create DumpMap from std::map.
template<class TMap>
std::ostream & | operator<< (std::ostream &str, const DumpKeys< TMap > &obj)
| relates: DumpKeys Stream output.
template<class TMap>
DumpKeys< TMap > | dumpKeys (const TMap &map_r)
| relates: DumpKeys Convenience function to create DumpKeys from std::map.
template<class TMap>
std::ostream & | operator<< (std::ostream &str, const DumpValues< TMap > &obj)
| relates: DumpValues Stream output.
template<class TMap>
DumpValues< TMap > | dumpValues (const TMap &map_r)
| relates: DumpValues Convenience function to create DumpValues from std::map.

## Function Documentation

## ◆ operator<<() [1/4]

template<class TPair>

std::ostream & zypp::_logtoolsdetail::operator<< | ( | std::ostream & | str,
|  | const MapEntry< TPair > & | obj )

relates: MapEntry Stream output.

Definition at line 542 of file LogTools.h.

## ◆ mapEntry()

template<class TPair>

MapEntry< TPair > zypp::_logtoolsdetail::mapEntry | ( | const TPair & | pair_r | ) |

relates: MapEntry Convenience function to create MapEntry from std::pair.

Definition at line 549 of file LogTools.h.

## ◆ operator<<() [2/4]

template<class TMap>

std::ostream & zypp::_logtoolsdetail::operator<< | ( | std::ostream & | str,
|  | const DumpMap< TMap > & | obj )

relates: DumpMap Stream output.

Definition at line 596 of file LogTools.h.

## ◆ dumpMap()

template<class TMap>

DumpMap< TMap > zypp::_logtoolsdetail::dumpMap | ( | const TMap & | map_r | ) |

relates: DumpMap Convenience function to create DumpMap from std::map.

Definition at line 601 of file LogTools.h.

## ◆ operator<<() [3/4]

template<class TMap>

std::ostream & zypp::_logtoolsdetail::operator<< | ( | std::ostream & | str,
|  | const DumpKeys< TMap > & | obj )

relates: DumpKeys Stream output.

Definition at line 641 of file LogTools.h.

## ◆ dumpKeys()

template<class TMap>

DumpKeys< TMap > zypp::_logtoolsdetail::dumpKeys | ( | const TMap & | map_r | ) |

relates: DumpKeys Convenience function to create DumpKeys from std::map.

Definition at line 646 of file LogTools.h.

## ◆ operator<<() [4/4]

template<class TMap>

std::ostream & zypp::_logtoolsdetail::operator<< | ( | std::ostream & | str,
|  | const DumpValues< TMap > & | obj )

relates: DumpValues Stream output.

Definition at line 686 of file LogTools.h.

## ◆ dumpValues()

template<class TMap>

DumpValues< TMap > zypp::_logtoolsdetail::dumpValues | ( | const TMap & | map_r | ) |

relates: DumpValues Convenience function to create DumpValues from std::map.

Definition at line 691 of file LogTools.h.